<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Nicolas Hodin
 *  @copyright 2010-2016 fasterImage
 *  @license   LICENSE.txt
 */

class Tools extends ToolsCore
{

    public static function getMediaServer(string $filename): string
    {
        $oModuleFasterImage = Module::getInstanceByName('fasterimage');
        if ($oModuleFasterImage !== false) {
            if (preg_match('/img/i', $filename) == 1 || preg_match('/\.(jpg|jpeg|png|gif)$/i', $filename) == 1) {
                $a_config = Configuration::getMultiple(
                    array('FASTERIMAGE_ACCOUNT_VALID', 'FASTERIMAGE_DOMAIN', 'FASTERIMAGE_ENABLED')
                );
                if ($a_config['FASTERIMAGE_ENABLED'] === '1'
                    && $a_config['FASTERIMAGE_ACCOUNT_VALID'] === '1'
                    && Tools::strlen($a_config['FASTERIMAGE_DOMAIN']) > 0
                ) {
                    return str_replace($oModuleFasterImage->sDomainSuffix, '', $a_config['FASTERIMAGE_DOMAIN']) . $oModuleFasterImage->sDomainSuffix;
                }
            }
        }
        return parent::getMediaServer($filename);
    }
}
